AOZ Studio Beta - Bug #99

Sin, Cos, Tan, HSin, HCos, HTan - Black screen
02/01/2020 06:03 PM - Paul Kitching

Status: Closed Start date: 02/01/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.4

Affected version: 0.9.3.2

Description

#splashScreen:false

print "Sin: ";sin(0.2);" cos: ";cos(0.2);" tan: ";tan(0.2);" hcos: ";hcos (2)

print hsin(2);hcos (2);htan(2)

Any of these give a black screen when run.
No boot screen, can't ctrl-c it.

History

#1 - 02/02/2020 06:15 PM - Truls Osmundsen

It looks like its hcos thats broken.

All the other works, but putting hcos in the start of the program gives the black screen.

print " hcos: ";hcos(2)

#2 - 02/03/2020 02:41 PM - Francois Lionet

- Target version set to 0.9.4

Fixed!

#3 - 02/03/2020 03:49 PM - Francois Lionet

- Status changed from New to Resolved

Yes, problem in HCos... thanks.

#4 - 03/07/2020 12:18 PM - Baptiste Pillot
- File capture.png added
- Description updated

- Status changed from Resolved to Closed

e source : https://www.amos2.fr/ide/Amos2/Ide/Program/473
e run : https://www.amos2.fr/run/tickleman/99/
e result :

capture.png

Ok.
